# Hestia.jl

<img src="https://raw.githubusercontent.com/stephans3/Hestia.jl/master/hestia_icon.svg" width="100">

Simulation of heat conduction problems in multiple dimensions with boundary control.

<!--- [![Stable](https://img.shields.io/badge/docs-stable-blue.svg)](https://stephans3.github.io/Hestia.jl/stable) --->
[![Dev](https://img.shields.io/badge/docs-dev-blue.svg)](https://stephans3.github.io/Hestia.jl/dev)
[![Build Status](https://github.com/stephans3/Hestia.jl/actions/workflows/CI.yml/badge.svg?branch=main)](https://github.com/stephans3/Hestia.jl/actions/workflows/CI.yml?query=branch%3Amain)
<!--- [![Coverage](https://codecov.io/gh/stephans3/Hestia.jl/branch/main/graph/badge.svg)](https://codecov.io/gh/stephans3/Hestia.jl) --->

The documentation will be updated soon.

For examples are listed in folder [**examples**](https://github.com/stephans3/Hestia.jl/tree/master/examples).

## Cooling-down processes: no actuation

- [**1D** with constant properties](https://github.com/stephans3/Hestia.jl/blob/master/examples/cooling_down/1D/rod_iso_static_cool.jl): linear heat conduction
- [**1D** with temperature-dependent properties](https://github.com/stephans3/Hestia.jl/blob/master/examples/cooling_down/1D/rod_iso_dynamic_cool.jl): quasi-linear heat conduction
- [**2D** with constant properties](https://github.com/stephans3/Hestia.jl/blob/master/examples/cooling_down/2D/plate_iso_static_cool.jl) 
- [**2D** with temperature-dependent properties](https://github.com/stephans3/Hestia.jl/blob/master/examples/cooling_down/2D/plate_iso_dynamic_cool.jl)
- [**3D** with constant properties](https://github.com/stephans3/Hestia.jl/blob/master/examples/cooling_down/3D/cuboid_iso_static_cool.jl)
- [**3D** with temperature-dependent properties](https://github.com/stephans3/Hestia.jl/blob/master/examples/cooling_down/3D/cuboid_iso_dynamic_cool.jl)


## Heating-up processes: with actuation

- [**1D** with constant properties](https://github.com/stephans3/Hestia.jl/blob/master/examples/heating_up/1D/rod_iso_static_heat.jl): linear heat conduction
- [**1D** with temperature-dependent properties](https://github.com/stephans3/Hestia.jl/blob/master/examples/heating_up/1D/rod_iso_dynamic_heat.jl): quasi-linear heat conduction
- [**2D** with constant properties (basic 1)](https://github.com/stephans3/Hestia.jl/blob/master/examples/heating_up/2D/plate_iso_static_heat_a1.jl) 
- [**2D** with constant properties (basic 2)](https://github.com/stephans3/Hestia.jl/blob/master/examples/heating_up/2D/plate_iso_static_heat_a2.jl) 
- [**2D** with constant properties (advanced 2)](https://github.com/stephans3/Hestia.jl/blob/master/examples/heating_up/2D/plate_iso_static_heat_b1.jl)
- [**2D** with constant properties (advanced 2)](https://github.com/stephans3/Hestia.jl/blob/master/examples/heating_up/2D/plate_iso_static_heat_b2.jl)
- [**2D** with temperature-dependent properties](https://github.com/stephans3/Hestia.jl/blob/master/examples/heating_up/2D/plate_iso_dynamic_heat.jl)
- [**3D** with constant properties](https://github.com/stephans3/Hestia.jl/blob/master/examples/heating_up/3D/cuboid_iso_static_heat.jl)
- [**3D** with temperature-dependent properties](https://github.com/stephans3/Hestia.jl/blob/master/examples/heating_up/3D/cuboid_iso_dynamic_heat.jl)
